var timer = null

function checkTime() {
	if(timer != null){
		myD = new Date();
		myseconds = myD.getSeconds();
		if (myseconds == "00") {
			drawClock()
		}
	}
}

if(window.widget) {
	widget.onshow = startWidget;
	widget.onhide = stopWidget;
}

function startWidget(){
	checkTime();
	timer = setInterval("checkTime();", 1000);
}

function stopWidget(){
	if(timer != null){
		clearInterval(timer);
		timer = null;
	}
}

function drawClock() {

	settings = [
	0,0,0,1,		//hrbefore,hgbefore,hbbefore,htbefore,
	0,0,0,0,		//hrafter,hgafter,hbafter,htafter
	0,0,0,1,		//mrbefore,mgbefore,mbbefore,mtbefore,
	1,0,0,0,		//mrafter,mgafter,mbafter,mtafter
	180,			//gradation
	50,95,30,135,	//hourhandwidth,hourradius,minutehandwidth,minuteradius
	10,150,5,150,];	//hourhandguideheight,hourhandguideradius,minutehandguideheight,minutehandguideradius
	
	myD = new Date();
	myyear = myD.getYear();
	myyear4 = (myyear < 2000) ? myyear+1900 : myyear;
	mymonth = myD.getMonth() + 1;
	mydate = myD.getDate();
	myday = myD.getDay();
	myhours = myD.getHours();
	myminutes = myD.getMinutes();
	myseconds = myD.getSeconds();
	myTbl = new Array("Sun","Mon","Tue","Wed","Thu","Fri","Sat");
	var canvas = document.getElementById("mainCanvas");
	var context = canvas.getContext("2d");
	var myhourspi = Math.PI*myhours/6+Math.PI*myminutes/360;
	var myminutespi = Math.PI/180*myminutes*6;
	context.clearRect(0,0,300,300);
	context.save();
	for(i=0; i<settings[16]; i++){
		context.arc(150,150,settings[18],2*Math.PI*i/settings[16]-Math.PI/2+myhourspi,2*Math.PI*(i+3)/settings[16]-Math.PI/2+myhourspi,0);
		context.lineWidth = settings[17];
		context.setStrokeColor((settings[4]-settings[0])*i/settings[16]+settings[0],(settings[5]-settings[1])*i/settings[16]+settings[1],(settings[6]-settings[2])*i/settings[16]+settings[2],(settings[7]-settings[3])*i/settings[16]+settings[3]);
		context.stroke();
	}
	context.restore();
	context.save();
	for(i=0; i<settings[16]; i++){
		context.arc(150,150,settings[20],2*Math.PI*i/settings[16]-Math.PI/2+myminutespi,2*Math.PI*(i+3)/settings[16]-Math.PI/2+myminutespi,0);
		context.lineWidth = settings[19];
		context.setStrokeColor((settings[12]-settings[8])*i/settings[16]+settings[8],(settings[13]-settings[9])*i/settings[16]+settings[9],(settings[14]-settings[10])*i/settings[16]+settings[10],(settings[15]-settings[11])*i/settings[16]+settings[11]);
		context.stroke();
	}
	context.restore();
	
	var hourguide = 12
	context.save();
	for(var i= 0; i < hourguide; i++){
		context.save();
		context.translate(150,150);
		context.rotate(i*(2*Math.PI/hourguide));
		context.beginPath();
		context.moveTo(settings[22],0);
		context.lineTo(settings[22]-settings[21],0);
		context.lineWidth = 1;
		context.strokeStyle = "rgba(255,255,255,1)";
		context.closePath();
		context.stroke();
		context.restore();
	}
	context.restore();
	context.save();
	var minguide =60
	for(var i= 0; i < minguide; i++){
		context.save();
		context.translate(150,150);
		context.rotate(i*(2*Math.PI/minguide));
		context.beginPath();
		context.moveTo(settings[24],0);
		context.lineTo(settings[24]-settings[23],0);
		context.lineWidth = 0.5;
		context.strokeStyle = "rgba(255,255,255,1)";
		context.closePath();
		context.stroke();
		context.restore();
	}
	context.restore();
	document.getElementById("timeStrings").innerHTML = mymonth+"/"+mydate+" ("+myTbl[myday]+") "+myhours+":"+myminutes;
}
